import dynamix_sdk.base as _base


class CloudapiLbFrontendBindDeleteResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbFrontendBindDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def frontend_bind_delete(
        self,
        *,
        lb_id: int,
        frontend_name: str,
        binding_name: str,
    ) -> CloudapiLbFrontendBindDeleteResultBool:
        ...
